For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • POSTUpload files to Drive.
      • GETDownload a file from Drive.
LogoLogo
Scout DocsAccess Scout
EndpointsDrive

Download a file from Drive.

GET
https://api.scoutos.com/drive/download
GET
/drive/download
$curl https://api.scoutos.com/drive/download \
> -H "Authorization: Bearer <token>"
Download a single file from Drive. Provide one of the following to identify the file: - `path`: fully qualified path (e.g., '/foo/bar/hello.txt') - `name` + `folder`: file name within a specific folder (e.g., name='hello.txt', folder='/foo/bar') Returns the file content as a streaming binary response.
Was this page helpful?
Previous
Built with

Download a single file from Drive.

Provide one of the following to identify the file:

  • path: fully qualified path (e.g., ‘/foo/bar/hello.txt’)
  • name + folder: file name within a specific folder (e.g., name=‘hello.txt’, folder=‘/foo/bar’)

Returns the file content as a streaming binary response.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pathstring or nullOptional

Fully qualified path to the file (e.g., ‘/foo/bar/hello.txt’)

namestring or nullOptional

File name to search for (e.g., ‘hello.txt’)

folderstring or nullOptional

Folder to search within (e.g., ‘/foo/bar’)

Response

Successful Response

Errors

422
Unprocessable Entity Error